ur_rna.StructureEditor.windows

## Class NewFileWindow.IgnoreStylesUndoManager

- java.lang.Object
- - javax.swing.undo.AbstractUndoableEdit
  - - javax.swing.undo.CompoundEdit
    - - javax.swing.undo.UndoManager
      - - ur_rna.StructureEditor.windows.NewFileWindow.IgnoreStylesUndoManager

- All Implemented Interfaces:
    java.io.Serializable, java.util.EventListener, javax.swing.event.UndoableEditListener, javax.swing.undo.UndoableEdit
  Enclosing class:
    NewFileWindow

      private static class NewFileWindow.IgnoreStylesUndoManager
      extends javax.swing.undo.UndoManager

- - ### Field Summary

    - ### Fields inherited from class javax.swing.undo.CompoundEdit

      `edits`

    - ### Fields inherited from class javax.swing.undo.AbstractUndoableEdit

      `RedoName, UndoName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `IgnoreStylesUndoManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `undoableEditHappened(javax.swing.event.UndoableEditEvent e)`

    - ### Methods inherited from class javax.swing.undo.UndoManager

      `addEdit, canRedo, canUndo, canUndoOrRedo, discardAllEdits, editToBeRedone, editToBeUndone, end, getLimit, getRedoPresentationName, getUndoOrRedoPresentationName, getUndoPresentationName, redo, redoTo, setLimit, toString, trimEdits, trimForLimit, undo, undoOrRedo, undoTo`

    - ### Methods inherited from class javax.swing.undo.CompoundEdit

      `die, getPresentationName, isInProgress, isSignificant, lastEdit`

    - ### Methods inherited from class javax.swing.undo.AbstractUndoableEdit

      `replaceEdit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IgnoreStylesUndoManager

          private IgnoreStylesUndoManager()

  - ### Method Detail

    - #### undoableEditHappened

          public void undoableEditHappened(javax.swing.event.UndoableEditEvent e)

      Specified by:
        `undoableEditHappened` in interface `javax.swing.event.UndoableEditListener`
      Overrides:
        `undoableEditHappened` in class `javax.swing.undo.UndoManager`